Thank you for your donation!


Solved: Mosbuild unmet dependencies libperl
#1
Hi,

I'm currently trying to install moOde on Raspi 3B with Hifiberry AMP2 and Joy-IT 3.5" Touch Display with "2018-11-13-raspbian-stretch-lite.img" on 16GB SDcard.
After running mosbuild.sh OS Builder v2.7 I receive the following error message:


////////////////////////////////////////////////////////////////
//
// STEP 3A - Install core packages
//
////////////////////////////////////////////////////////////////

** Basic optimizations
Synchronizing state of cron.service with SysV service script with /lib/systemd/systemd-sysv-install.
Executing: /lib/systemd/systemd-sysv-install disable cron
Synchronizing state of rpcbind.service with SysV service script with /lib/systemd/systemd-sysv-install.
Executing: /lib/systemd/systemd-sysv-install enable rpcbind
Reading package lists...
Building dependency tree...
Reading state information...
Package 'triggerhappy' is not installed, so not removed
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 libperl5.24 : Depends: perl-modules-5.24 (>= 5.24.1-3+deb9u5) but 5.24.1-3+deb9u4 is to be installed
 perl : Depends: libperl5.24 (= 5.24.1-3+deb9u4) but 5.24.1-3+deb9u5 is to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).
** Error: unable to purge triggerhappy
** Error: image build exited
** Error: reboot to resume the build
** Error: should never arrive at case = *
** Error: should never arrive at case = *
....


Please, can anybody give me support and point me to the right direction, I'm newbie to raspi and linux.
Many thanks in advance !
Reply
#2
@Langohr

Firstly, following the build recipe isn't necessary if you aren't doing anything exotic in your build. You can download a ready-to-use ISO image of moOde player. see http://moodeaudio.org/#download

Secondly, since you did try, I'm surprised at the conflict you ran into with perl/libperl/perl-modules versions. I just checked the ready-to-use image and the installed versions is correct. I also checked the versions offered by the apt repository I reached and they're correct. I wonder if you are being redirected to a secondary apt repository server offering a stale version.

The triggerhappy issue is benign. Triggerhappy isn't used in moOde.

Regards,
Kent
Reply
#3
Hi Kent,
wow, great support! Thanks for the quick reply!
Now I have installed the "standard" moode-r44.img and it works!!!
The reason for other recipe was the nice instruction in german language:
http://moodeaudio.org/forum/showthread.php?tid=260

Cool, listening to the music now and trying to activate my 3.5" display.
I suppose we can close this thread as the problem is solved for me.
So, thanks again, I will open a new request about the display.
Reply


Forum Jump: